
[data-component="slider"], .slider-component {
  --lg: 3;
  --md: 2;
  --sm: 1;
  --xs: 1;
  --gap: 24px;
  --current-slides-per-view: var(--xs);
  display: flex;
  flex-direction: column;
  position: relative;
  gap: 24px;

  @media (min-width: 480px) and (max-width: 767px) {
    --current-slides-per-view: var(--sm);
  }

  @media (min-width: 768px) and (max-width: 991px) {
    --current-slides-per-view: var(--md);
  }

  @media (min-width: 992px) {
    --current-slides-per-view: var(--lg);
  }

  [data-slider="nav"] {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    gap: 0.5em;

    &[data-variant="top"] {
      order: -1;
    }

    &[data-variant="center"] {
      position: absolute;
      inset: 0%;
      z-index: 2;
      padding: var(--spacing--md);
      pointer-events: none;
      justify-content: space-between;

      [data-slider="pagination"] {
       display: none;
      }
    }

    [data-slider="pagination"] {
      display: flex;
      justify-content: start;
      align-items: center;
      flex: 1;
      gap: .4rem;

      &.swiper-pagination-lock {
        display: none;
      }

     [data-slider="pagination-button"], .slider-pagination_button {
        width: 1rem;
        height: 1rem;
        padding: 0;
        border: 1px solid var(--_site-theme---slider--dot-border);
        border-radius: 10rem;
        background-color: var(--_site-theme---slider--dot-background);
        transition: border-color .3s cubic-bezier(.165, .84, .44, 1),
                    background-color .3s cubic-bezier(.165, .84, .44, 1);

        &:hover {
          border-color: var(--_site-theme---slider--dot-hover-border);
        }

        &:focus-visible, &[data-wf-focus-visible] {
          outline: 2px solid #d14424;
          outline-offset: 2px;
        }

        &.active {
          border-color: var(--_site-theme---slider--dot-active-border);
          background-color: var(--_site-theme---slider--dot-active-background);
        }
      }
    }
  }
}

[data-slider-overflow="false"] {
  overflow: hidden;
}

[data-slider-overflow="true"] {
  overflow: visible !important;
}

[data-slider="wrapper"] {
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  flex-wrap: nowrap;
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 1;

  &:empty {
    min-height: 300px;
  }

  .w-dyn-list, .w-dyn-items, .w-dyn-item {
    display: contents;
  }
}

  [data-slider="slide"] {
    width: calc((100% - (var(--current-slides-per-view) - 1) * var(--gap)) / var(--current-slides-per-view)) !important;
    margin-right: var(--gap);
    display: flex;
    flex-direction: column;
    align-items: stretch;
    flex: none;
    align-self: stretch;
    height: auto;
    position: relative;

    & [data-slot="slide"] {
        height: 100%;
    }
}

.swiper-button-disabled {
  opacity: .5;
  pointer-events: none;
}